package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.bo.request.QrCodeStatisticResponseBO;
import com.huiju.estateagents.entity.TaQrcode;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

/**
 * <p>
 * 二维码管理表 Mapper 接口
 * </p>
 *
 * @author fxf
 * @since 2020-05-20
 */
@Mapper
@Component
public interface TaQrcodeMapper extends BaseMapper<TaQrcode> {

    QrCodeStatisticResponseBO getStatisticData(@Param("orgId") Integer orgId);

    IPage<TaQrcode> listQrCodeByCondition(IPage<TaQrcode> page,
                                          @Param("targetType") String targetType,
                                          @Param("targetName") String targetName,
                                          @Param("channelId") Integer channelId,
                                          @Param("buildingId") String buildingId,
                                          @Param("orgId") Integer orgId);
}
